"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RESTDataSource = void 0;
const apollo_datasource_rest_1 = require("apollo-datasource-rest");
const utils_1 = require("../utils");
class RESTDataSource extends apollo_datasource_rest_1.RESTDataSource {
    willSendRequest(request) {
        utils_1.setHeaders(this.context.req, request.headers);
    }
    didReceiveResponse(response, request) {
        const result = super.didReceiveResponse(response, request);
        const cookie = response.headers.get('set-cookie');
        if (cookie) {
            this.context.res.set('set-cookie', cookie);
        }
        return result;
    }
}
exports.RESTDataSource = RESTDataSource;
