/// <reference types="node" />
import { ApolloServer } from 'apollo-server';
import { ApolloServerExpressConfig } from 'apollo-server-express';
import { GraphQLSchemaModule } from 'apollo-graphql';
import { IMocks } from 'graphql-tools';
import express from 'express';
import { ServerOptions } from 'https';
export declare type OverlordConfig = Partial<Pick<ApolloServerExpressConfig, 'dataSources' | 'schemaDirectives' | 'plugins'> & {
    port: number;
    https: boolean | ServerOptions;
    schema: GraphQLSchemaModule[];
    mocks: boolean | IMocks;
    dev: boolean;
    key: string;
    serviceName: string;
}>;
export declare type Context = {
    req: express.Request;
    res: express.Response;
};
export declare function createServer({ schema, port, dev, key, serviceName, plugins, https, ...rest }: OverlordConfig): Promise<ApolloServer>;
